<?php

namespace AutoAdmin\Bundle\Seo\Extractor;

use AutoAdmin\Bundle\Seo\Model\SeoPage;
use Symfony\Component\HttpFoundation\Request;

interface ExtractorInterface
{
    public function supports(object $subject): bool;

    public function extract(Request $request, object $subject, SeoPage $seoPage): SeoPage;
}
